*:focus-visible {
  outline: none !important;
}

.container.store-finder {
  margin: 0 auto;
  padding: 0 15px;
  max-width: 1640px;
}

#map-holder {
  height: 801px;
  max-width: 1215px;
  width: 100%;
}

#map {
  width: 100%;
  height: 100%;
}

#storeWrapper {
  width: 100%;
}

#map-container {
  margin-top: 0;
  width: 100%;
  gap: 20px;
}

#form-container #form-input {
  width: 396px;
  height: 276px;
  padding: 22px;
  background-color: #f1f1f1;
  color: #707070;

  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

.form-input-top {
  margin-bottom: 12px;
}

#form-container #form-input input {
  width: 240px;
  height: 72px;
  margin: unset;
  border: none;
  padding-left: 10px;
}

#form-container #form-input #submit {
  width: 110px;
  height: 72px;
  background-color: #d31346;
  color: #fff;
  text-align: center;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 24px;
  margin: 0;
  border-radius: 0;
}

#form-container .selectric {
  width: 350px;
  height: 72px;
  border: 1px solid #e1e1e3;
  background: #fff;
  margin: 0;
  padding: 0;
}

#form-input span {
  height: 100%;
  margin: 0;
}

#form-input span.button {
  width: 250px;
  height: 46px;
  border-radius: 34.55px;
  background: #d31346;
  gap: 9px;
  margin: 23px auto 0 auto;
}

#form-input span.button span {
  color: #fff;
  text-align: center;
  font-size: 18.703px;
  font-style: normal;
  font-weight: 500;
  line-height: 44.409px;
}

.current-location-icon {
  max-width: 22px;
  height: auto;
  width: 100%;
}

#loc-list {
  width: 396px;
  height: 276px;
  background-color: #f1f1f1;
}

#location {
  margin-top: 38px;
  margin-bottom: 29px;
}

.ddlNeighborhood {
  width: 350px;
  height: 72px;
  border: 1px solid #e1e1e3;
  background: #fff;
  padding: 0 15px;
}

#ddlNeighborhood {
  appearance: none;
  -webkit-appearance: none;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='8' viewBox='0 0 12 8'%3E%3Cpath d='M1 1l5 5 5-5' stroke='%23707070' stroke-width='2' fill='none'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right 20px center;
  background-size: 20px;
  padding-right: 43px;
}

#ddlNeighborhood {
  width: 100%;
}

#ddlNeighborhood option {
  max-width: 100%;
  color: black;
}

#list {
  width: 100%;
  height: 500px;
  overflow-y: scroll;
  margin-top: 10px;
}

/* WebKit browsers: Chrome, Safari, Edge */
#list::-webkit-scrollbar {
  width: 6px;
}

/* The track = the "line" behind the thumb */
#list::-webkit-scrollbar-track {
  background: #E5E5E5;
  border-radius: 10px;
}

/* The draggable part */
#list::-webkit-scrollbar-thumb {
  background: #727272;
  border-radius: 10px;
}

#list::-webkit-scrollbar-thumb:hover {
  background: #727272;
}

.list-content {
  max-width: 354px;
  height: 224px;
  flex-shrink: 0;
  border-bottom: 1px solid #727272;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  padding: 0 15px;
}

.loc-name {
  color: #272727;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 24px;
  /* 133.333% */
  margin-bottom: 10px;
}

.loc-addr,
.loc-addr3 {
  color: #272727;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

.loc-phone {
  color: #d31346;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: auto;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
  margin-bottom: 10px;
}

.loc-store-link {
  width: 250.488px;
  height: 46.328px;
  border-radius: 34.55px;
  background: #d31346;
  margin-top: 20px;
  color: #fff;
  text-align: center;
  font-size: 18.703px;
  font-style: normal;
  font-weight: 500;
  line-height: 31.409px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#location .container {
  max-width: 1670px !important;
  width: 100%;
  padding: 0 15px;
}

.loc-dist {
  position: absolute;
  top: 20px;
  right: 43px;
  color: #272727;
  text-align: right;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  /* 150% */
}

.loc-directions {
  position: absolute;
  top: 45px;
  right: 43px;
  color: #272727;
  text-align: right;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
  /* 150% */
}

.list-details {
  position: relative;
}

.iw-link {
  margin-top: 10px;
  text-decoration: underline;
  color: #d31346;
  display: block;
}

.iw-name {
  display: block;
  margin-bottom: 10px;
  font-weight: bold;
}

.iw-phone {
  display: block;
  margin-bottom: 10px;
  margin-top: 10px;
}

/* Responsive */
@media screen and (max-width: 1400px) {
  #map {
    max-width: 930px;
    width: 100%;
    height: 530px;
  }
}

@media screen and (max-width: 767px) {
  #map-container {
    flex-direction: column;
    align-items: center;
  }

  #map-holder {
    margin-top: 15px;
  }
}

@media screen and (min-width: 568px) {
  .on-mobile {
    display: none !important;
  }
}

@media screen and (max-width: 567px) {
  #form-container #form-input {
    max-width: 396px;
    height: 215px;
    padding: 27px 22px;
    background-color: #f1f1f1;
    color: #707070;

    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
  }

  #form-container #form-input #submit {
    width: 110px;
    height: 72px;
    color: #fff;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 24px;
  }

  #map-holder {
    height: auto;
    margin-top: 0;
  }

  .stores-button span {
    width: 154px;
    height: 35px;
    border-radius: 34px;
    background: white;
    color: #707070;
    text-align: center;

    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: 0.7px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .stores-button span.highlighted {
    background: #00447c;
    color: white;
    font-weight: 700;
  }

  .stores-button {
    margin-top: 46px;
    margin-bottom: 20px;
    width: 100%;
    max-width: 314px;
    height: 39px;
    border-radius: 35px;
    background: #fff;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.25);
  }

  #loc-list {
    height: 100%;
    margin-bottom: 0;
    background-color: white;
  }

  .list-content {
    padding: 0;
  }

  #list {
    width: 100%;
    max-width: 376px;
    padding: 0 15px;
    margin: 0 auto;
  }

  #map-container {
    margin-top: 0;
    width: 100%;
    gap: 0;
  }

  .gm-style .gm-style-iw-c {
    max-width: unset;
    max-height: unset;
    width: 200px;
    height: 222px;
  }
}